function onTalk()
	disableMovement()
	walk(-9)
	walk(4)
	local dialogid = ""
	if arguments and type(arguments) == 'string' then
		dialogid = arguments
	end
	say(dialogid)
	enableMovement()
end

function onEnd(room, wasSkipped)
    if wasSkipped then
        enableMovement()
    end
end
